GroupController Class |
Namespace: Dundas.BI.WebApi.Controllers
The GroupController type exposes the following members.
| Name | Description | |
|---|---|---|
| GroupController | Initializes a new instance of the GroupController class |
| Name | Description | |
|---|---|---|
| AddMembers | POST /Group/AddMembers/{id}
Add Members to a group.
| |
| AddMemberToGroups | POST /Group/AddMemberToGroups/{id}
Adds a member from a series of groups.
| |
| CreateGroup | POST /Group/
Creates a group.
| |
| DeleteGroup | DELETE /Group/{id}
Deletes a group.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetGroupById | GET /Group/{id}
Gets a group.
| |
| GetGroupInfoById | GET /Group/Info/{id}
Gets a group info.
| |
| GetGroupMembershipForAccount | Obsolete. GET /Group/AccountMembership/{id}
OBSOLETE - Use POST /Group/GetMemberOf/ instead.
Gets the groups that an account is a member of.
| |
| GetGroupMembershipForGroup | Obsolete. GET /Group/GroupMembership/{id}
OBSOLETE - Use POST /Group/GetMemberOf/ instead.
Gets the groups that a group is a member of.
| |
| GetMemberOf |
POST /Group/GetMemberOf/
Gets the groups that the account/group is a member of.
| |
| GetMembers | GET /Group/GetMembers/{id}
Gets the accounts/groups that belong to the group.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| QueryGroupInfos | POST /Group/QueryInfos/
Gets limited information about the groups with the given information.
| |
| QueryGroups | POST /Group/Query/
Gets the groups with the given information.
| |
| QueryNumberOfGroups | POST /Group/Count/
Gets the number of groups that match the filter.
| |
| RemoveMemberFromGroups | POST /Group/RemoveMemberFromGroups/{id}
Removes a member from a series of groups.
| |
| RemoveMembers | POST /Group/RemoveMembers/{id}
Remove Members to a group.
| |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| UpdateCustomAttributesForGroup | POST /Group/UpdateCustomAttributesForGroup/{id}
Updates the custom attributes for the specified group.
| |
| UpdateGroup | PUT /Group/{id}
Updates a group.
|